Page MenuHomeFreeBSD

[NEW PORT] databases/pgloader3: data loading tool for PostgreSQL,using the COPY command
ClosedPublic

Authored by amutu_amutu.com on Jun 15 2017, 9:41 AM.

Details

Reviewers
lwhsu
miwi
bapt
tz
Summary

Pgloader loads data into PostgreSQL using the COPY streaming protocol,and
doing so with separate threads for reading and writing data.Asynchronous
IO,compiled to the metal programming language.
pgloader knows how to read data from MySQL,SQLite or dBase databases,and
knows how to discover the schema and properly cast data types over.It also
knows how to read CSV files in several definitions of CSV,and fixed columns
files.

WWW: http://pgloader.io

pgloader2 is written in python, the author rewrite pgloader3 in lisp. It is active maintained and more powerful than pgloader2.

PR: 219165

Test Plan

portlint clean.
poudriere testport tested: 11.0Ramd64,11.0Ri386,10.3Ramd64

Diff Detail

Lint
Lint Skipped
Unit
Unit Tests Skipped

Event Timeline

amutu_amutu.com edited the summary of this revision. (Show Details)Jun 15 2017, 9:47 AM
lwhsu added a reviewer: tz.Jul 20 2017, 6:45 PM

1.use PKGNAMESUFFIX = 3
2.make the patch of Makefile simple
3.update to 3.4.1

tz accepted this revision.Aug 9 2017, 8:17 AM

Was committed yesterday and can be closed :)

This revision is now accepted and ready to land.Aug 9 2017, 8:17 AM